> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hobbo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# whop Reviews

> This endpoint is used to fetch reviews from whop for a specified business.



## OpenAPI

````yaml POST /whop/reviews
openapi: 3.1.0
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.hobbo.ai
    description: Main API server
  - url: https://py-api.hobbo.ai
    description: Python API server for scraper endpoints
security:
  - ApiKeyAuth: []
paths:
  /whop/reviews:
    post:
      description: >-
        This endpoint is used to fetch reviews from whop for a specified
        business.
      requestBody:
        description: whop review scraping parameters
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WhopReviewsRequest'
        required: true
      responses:
        '200':
          description: Reviews fetched successfully
          content:
            application/json:
              schema:
                $ref: a2b98d72-a273-49c6-a345-daa2d0add9e8
              examples:
                validationError:
                  value:
                    all_reviews: []
                    extra_information: {}
                    message: <string>
        '400':
          description: Validation error or unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                validationError:
                  value:
                    error: <string>
      servers:
        - url: https://py-api.hobbo.ai
components:
  schemas:
    WhopReviewsRequest:
      type: object
      required:
        - query
      properties:
        query:
          type: string
          description: Provide proper Whop Reviews url.
        reviews_to_fetch:
          type: number
          description: >-
            Number of reviews to fetch (default: all reviews, or within
            30-second timeout)
        pagination_token:
          type: string
          description: >-
            The next_page received with the past request, which is required for
            the pagination
        is_text_formatted:
          type: boolean
          description: 'returns the review text with visual formatting preserved '
        sync_date:
          type: string
          description: 'Fetches reviews posted on a specific date using format: YYYY-MM-DD'
    Error:
      type: object
      properties:
        status:
          type: integer
          description: HTTP status code
        data:
          type: object
          description: Empty object or additional error data
        success:
          type: boolean
          description: Indicates operation failed
          example: false
        message:
          type: string
          description: Error message describing what went wrong

````